declare module BA.Ui.Layout {
    class LayoutService {
        private static Layouts;
        static InitLayouts(): void;
        static GetLayouts(configuration: string): Layout[];
        static GetBaseLayout(configId: string, callback?: (result: Layout) => void): void;
    }
    class Layout {
        Title: string;
        IsPublic: boolean;
        Icon: string;
        Configuration: BA.Classes.Guid;
        LayoutId: BA.Classes.Guid;
        IsDefault: boolean;
        IsConfiguredDefault: boolean;
    }
}
