declare module BA.Ui.Actions {
    /** Contains the actions that are available for the follow-up widget. */
    class RecentlyUsedWidgetActions {
        /**
        * Opens the selected data in its form in a dialog.
        *
        * @param evt
        * @param customData
        */
        static Open(evt: any, data: CustomData, inEditMode?: boolean): void;
        /**
        * Opens the selected data in its form in a dialog.
        *
        * @param evt
        * @param customData
        */
        static OpenInEditMode(evt: any, data: CustomData, inEditMode?: boolean): void;
        /**
* Opens the selected data in its form in a dialog.
*
* @param evt
* @param customData
*/
        static OpenAll(evt: any, data: CustomData, inEditMode?: boolean): void;
    }
}
